package moe.lemonsh.waifu2xlemon;

import java.util.Random;

public class AccessTokenGenerator {
    private static final char[] allowedCharacters = "qwertyuiopasdfghjklzxcvbnmQWERTYUIOPASDFGHJKLZXCVBNM1234567890".toCharArray();
    private static final Random rng = new Random();

    public static String randomToken(int length) {
        var token = new char[length];
        for (int i = 0; i < token.length; i++) token[i] = allowedCharacters[rng.nextInt(allowedCharacters.length)];
        return new String(token);
    }
}